public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Tony Vroon" <chainsaw@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/cgp/
Date: Wed, 11 Jul 2018 08:38:58 +0000 (UTC)	[thread overview]
Message-ID: <1531298330.54b9f2f29bdea49f51e69b4ee1566fe28afbae30.chainsaw@gentoo> (raw)

commit:     54b9f2f29bdea49f51e69b4ee1566fe28afbae30
Author:     Conrad Kostecki <conrad <AT> kostecki <DOT> com>
AuthorDate: Sat Jul  7 21:58:06 2018 +0000
Commit:     Tony Vroon <chainsaw <AT> gentoo <DOT> org>
CommitDate: Wed Jul 11 08:38:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54b9f2f2

www-apps/cgp: new package

Closes: https://bugs.gentoo.org/654150
Package-Manager: Portage-2.3.41, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/9096
Closes: https://bugs.gentoo.org/654150

 www-apps/cgp/Manifest     |  1 +
 www-apps/cgp/cgp-1.ebuild | 52 +++++++++++++++++++++++++++++++++++++++++++++++
 www-apps/cgp/metadata.xml | 20 ++++++++++++++++++
 3 files changed, 73 insertions(+)

diff --git a/www-apps/cgp/Manifest b/www-apps/cgp/Manifest
new file mode 100644
index 00000000000..7fddb0cd05d
--- /dev/null
+++ b/www-apps/cgp/Manifest
@@ -0,0 +1 @@
+DIST cgp-1.tar.gz 139265 BLAKE2B bf0f18def8ac3c2117b951172d4150f0626e8dcbe22accbcc6ad156e5f9f5c21792e38fa1bf5a964d8b50cbc7ee9003e4dcdcd75730ba2b0445f4dcfeffdda6c SHA512 fc5bc6d39dac896b56579cb6ca013c81493b994a7a190e0c0eec8a64f7b87c6eb2e0ad5cc969b8ea03ca4b00eee212ccee5c8785c23f5656bff3fe5490ff8f75

diff --git a/www-apps/cgp/cgp-1.ebuild b/www-apps/cgp/cgp-1.ebuild
new file mode 100644
index 00000000000..0d1bc985b14
--- /dev/null
+++ b/www-apps/cgp/cgp-1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit webapp
+
+MY_PN="${PN^^}"
+
+DESCRIPTION="A graphical web-based front-end for visualizing RRD collected by collectd"
+HOMEPAGE="https://github.com/pommi/CGP
+	https://pommi.nethuis.nl/category/cgp/"
+SRC_URI="https://github.com/pommi/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="CC-BY-2.0 GPL-2+ GPL-3 MIT"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-lang/php[json]
+	net-analyzer/rrdtool[graph]
+	virtual/httpd-php"
+
+need_httpd_cgi
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+DOCS=( "README.md" "doc/CHANGELOG" "doc/nginx.conf" )
+
+src_install() {
+	webapp_src_preinst
+
+	einstalldocs
+
+	# Since the docs are already installed, remove them from htdocs
+	# The file doc/CHANGELOG is needed, as CGP reads from there it's version
+	rm -r .gitignore doc/LICENSE doc/nginx.conf || die
+
+	insinto "${MY_HTDOCSDIR}"
+	doins -r .
+
+	webapp_src_install
+}
+
+pkg_postinst() {
+	webapp_pkg_postinst
+
+	einfo "The command shell_exec must not be disabled"
+	einfo "through the disable_functions php.ini directive."
+	einfo "It must allow execution of the rrdtool program."
+	einfo ""
+	einfo "An configuration file for www-servers/nginx"
+	einfo "has been installed as an example."
+}

diff --git a/www-apps/cgp/metadata.xml b/www-apps/cgp/metadata.xml
new file mode 100644
index 00000000000..10b010911e4
--- /dev/null
+++ b/www-apps/cgp/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>ck+gentoo@bl4ckb0x.de</email>
+		<name>Conrad Kostecki</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<longdescription>
+		Collectd Graph Panel (CGP) is a graphical web-based front-end
+		for visualizing RRD collected by collectd, written in the PHP language.
+	</longdescription>
+	<upstream>
+		<bugs-to>https://github.com/pommi/CGP/issues</bugs-to>
+		<remote-id type="github">pommi/CGP</remote-id>
+	</upstream>
+</pkgmetadata>


             reply	other threads:[~2018-07-11  8:39 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-11  8:38 Tony Vroon [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-07-13  9:18 [gentoo-commits] repo/gentoo:master commit in: www-apps/cgp/ Tony Vroon
2018-11-08 22:49 Patrice Clement
2018-11-08 22:49 Patrice Clement
2019-01-29 23:00 Patrice Clement
2019-01-29 23:00 Patrice Clement
2019-04-13 19:10 Agostino Sarubbo
2019-06-05  7:46 Agostino Sarubbo
2019-12-02 23:22 Conrad Kostecki
2020-09-18  9:20 Conrad Kostecki
2020-12-13 16:01 Conrad Kostecki
2020-12-13 16:01 Conrad Kostecki
2021-01-10 22:27 Sam James
2022-02-09 22:57 Conrad Kostecki
2022-02-09 22:57 Conrad Kostecki

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1531298330.54b9f2f29bdea49f51e69b4ee1566fe28afbae30.chainsaw@gentoo \
    --to=chainsaw@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox